Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Authenticate Storefront API requests with your storefront API key.
Authorization
curl -X POST https://api.colossal.sh/api/v1/graphql \ -H "Authorization: Bearer YOUR_STOREFRONT_API_KEY" \ -H "Content-Type: application/json" \ -d '{"query": "{ storeDetailsByUid(uid: \"your-store-uid\") { name } }"}'
import { initStorefrontClient } from "@colossal-sh/storefront-sdk"; initStorefrontClient({ storeUid: process.env.COLOSSAL_STORE_UID, apiKey: process.env.COLOSSAL_STOREFRONT_API_KEY, });
{ "errors": [ { "message": "Authentication required", "extensions": { "code": "UNAUTHENTICATED" } } ] }